VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "ClassEvents"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
' --------------------------------------------------------------------01/06/2009
' DataCharter.swp                   Written by Leonard Kikstra,
'                                   Copyright 2008-2009, Leonard Kikstra
'                                   Downloaded from Lenny's SolidWorks Resources
'                                        at http://www.lennyworks.com/solidworks
' ------------------------------------------------------------------------------
' Mouse handler Class for dimension selection in FormEnterParameters
' ------------------------------------------------------------------------------
Option Explicit
Dim WithEvents ms As SldWorks.mouse
Attribute ms.VB_VarHelpID = -1

Private Sub Class_Initialize()
End Sub

Public Sub init(mouse As Object)
Set ms = mouse
End Sub

' Private Function ms_MouseNotify(ByVal Message As Long, ByVal wParam As Long, ByVal lParam As Long) As Long
' Debug.Print "Event Message= " & Message & " wParam= " & wParam & " lParam= "; lParam
' End Function

Private Function ms_MouseSelectNotify(ByVal ix As Long, ByVal iy As Long, ByVal X As Double, ByVal Y As Double, ByVal Z As Double) As Long
  Dim UserSelect        As Boolean
  Dim Count             As Integer
  Dim SelType           As String
  Dim DimSelect         As Object
  Dim swDimen           As Object
  If Not MyWorkDim = 0 Then
    UserSelect = swSelMgr.EnableSelection
    If UserSelect = True Then
      Count = swSelMgr.GetSelectedObjectCount2(-1)
      If Count > 0 Then                               ' Is anything selected
        ' What type of object was selected
        SelType = swSelMgr.GetSelectedObjectType3(1, -1)
        ' Is it a dimension?
        If swSelMgr.GetSelectedObjectType3(1, -1) = swSelDIMENSIONS Then
          ' For dimensions only
          Set DimSelect = swSelMgr.GetSelectedObject6(1, -1)
          Set swDimen = DimSelect.GetDimension
          If Not DimSelect Is Nothing Then
            MyDimName(MyWorkDim) = swDimen.FullName
            Select Case MyWorkDim
                   Case 1
                        FormEnterParameters.TextDimHor.Value = MyDimName(MyWorkDim)
                   Case 2
                        FormEnterParameters.TextDimVer.Value = MyDimName(MyWorkDim)
                   Case 3
                        FormEnterParameters.TextDimCht.Value = MyDimName(MyWorkDim)
            End Select
            MyDimType(MyWorkDim) = swDimen.GetType
          End If
        End If
      End If
    End If
  End If
End Function
